#
# spec file for package python-click-completion
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-click-completion
Version:        0.5.2
Release:        bp156.3.1
Summary:        Fish, Bash, Zsh and PowerShell completion for Click
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/click-contrib/click-completion
Source:         https://github.com/click-contrib/click-completion/archive/v%{version}.tar.gz#/click-completion-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Jinja2
Requires:       python-click
Requires:       python-shellingham
Requires:       python-six
%ifpython2
Requires:       python-enum34
%endif
BuildArch:      noarch
%python_subpackages

%description
Fish, Bash, Zsh and PowerShell completion for Click.

%prep
%setup -q -n click-completion-%{version}
sed -i '1 {/^#!/d}' click_completion/*.py examples/*
chmod a-x examples/*

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md examples/
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Mar 31 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.5.2
  * fix slow completion on projects that provide a cached
    get_command_short_help
* Mon Mar 25 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.5.1
  * fix DeprecationWarning: invalid escape sequence on python 3.7
  * Don't call compinit in Zsh completion code
  * Don't show hidden commands
  * Use better short help
  * Escape backticks in help messages for zsh
  * drop oh-my-zsh specific install
* Fri Mar  1 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.5.0
